---
layout: job_family_page
title: "Director of Customer Success"
---

As the Director of Customer Success, you will build and lead the customer success team, including Solution Architects, Professional Services and Technical Account Management. The Customer Success team will help drive the technical portion of a sale as well as ensure GitLab customers successfully adopt the product with a positive experience, driving growth for GitLab through renewals and expansion. If you are truly passionate about customer advocacy and have a proven track record to talk about, then apply for this opportunity to unequivocally help our customers and furthermore, directly impact GitLab’s overall success and growth.

## Responsibilities

* Set the overall vision and strategic plan for the Account Management organization, focusing on driving product adoption, leading a positive customer experience, and driving growth through gross renewals and net retention improvements.
* Drive customer outcomes, product adoption and customer experience
   - Lead the technical assessment as part of the sales process 
   - Influence future lifetime value through higher product adoption, customer satisfaction and overall health scores
   - Reduce churn and drive new business growth through greater advocacy and reference ability
- Define and optimize customer lifecycle by driving programs and intiative to improve engagement approaches based on customer segmentation and leading a culture of continuous improvement
- Build and lead world-class team:
   - Recruit and develop a high performing team
   - Develop company-wide customer success motion integrating processes, content and data to/from stakeholder organizations (e,g., Marketing, Sales, Product/Engineering, etc)
   - Foster collaboration within the GitLab team and across customers
   - Drive operational practices to track performance of teams and individuals
* Work closely with the sales management and Regional Directors to align on strategies, renewal forecasting, coverage plans, and account opportunities (i.e., opportunities and risks)
* Drive Account Growth Outcomes:
- Expand our revenue in accounts through new sales and up-sell opportunities with our GitLab
- Influence future lifetime value through higher product adoption, customer satisfaction and overall health scores
- reduce churn and drive new business growth through greater advocacy and referenceability
* Deliver transformational leadership so that team is highly motivated and engaged. Be an inspirational role model by challenging and maximizing the strength of the team and aligning their efforts to the mission and vision of the organization.
* Address escalated client issues with speed and urgency, orchestrating resources across the company as appropriate
* This role is focused on pre-sales and customer success management and is not a technical support-related role.

## Requirements

* 7 - 10 years of management experience leading teams in a software company
* 5 years experience leading customer success managers, account management, or sales teams. Professional services experience is a plus.
* 3 years experience leading managers of teams in a SaaS or subscription enterprise software company
* Proven experience leading teams, driving new and expansion sales, driving software adoption and leveraging customer success best practices
* Proven ability to develop strategies, translate them into initiatives and track successful delivery
* Demonstrated ability to lead managers and successfully manage global, distributed teams across cultures, lines of business, and geographies
* Possesses a strong management presence and leadership ability, with communication and interpersonal skills that inspire and motivate leaders and teams
* Demonstrated operational excellence in analytical thinking, process development and improvement, problem solving, communication, delegation and planning
* Able to be flexible and agile in responding to evolving business priorities and dealing with ambiguity
* Able to collaborate across the organization and with external stakeholders
* Experience successfully working with senior (C-level) executives
* Holds strong operational skills that will drive organizational efficiencies and customer satisfaction
* Willing and able to address escalated client issues with speed and urgency
- You share our [values](/handbook/values), and work in accordance with those values.
- Successful completion of a [background check](/handbook/people-group/code-of-conduct/#background-checks).
- [Leadership at GitLab](https://about.gitlab.com/handbook/leadership/#director-group)

<%= partial("job-families/sales/performance", :locals => { :roleName => "Director of Customer Success" }) %>

## Specialties

Read more about what a [specialty](/handbook/hiring/#definitions) is at GitLab.

### Federal Solutions Director of Customer Success

#### Additional Requirements

* 5+ years experience supporting public sector customers: military, federal agencies, and/or intelligence community. Government security clearance is a plus.
* US citizenship is required.



## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find her/his job title on our [team page](/company/team).

* Qualified candidates receive a short questionnaire and coding exercise from our Global Recruiters
* The review process for this role can take a little longer than usual but if in doubt, check in with the Global recruiter at any point.
* Selected candidates will be invited to schedule a 45min [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
* Next, candidates will be invited to schedule a first interview with our CRO
* Candidates will then be invited to schedule a series of interviews with our VP of Engineering
* Finally, candidates will interview with our CEO
* Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring).
